Page MenuHomePhabricator

SWAT $wgPopupsBetaFeature reading web config cleanup
Closed, ResolvedPublic2 Estimated Story Points

Description

$wgPopupsBetaFeature is not referenced anywhere and no longer exists in Popups.

@Prtksxna has kindly written the patches to address this problem but they need SWATing.

Acceptance criteria

  • Rebase patches
  • SWAT the three patches in order.
  • Confirm Popups working per normal.

Event Timeline

Jdlrobson created this task.Sep 5 2018, 5:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2018, 5:46 PM

Change 450906 had a related patch set uploaded (by Jdlrobson; owner: Prtksxna):
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part I: CommonSettings

https://gerrit.wikimedia.org/r/450906

Change 444574 had a related patch set uploaded (by Jdlrobson; owner: Prtksxna):
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part III: InitialiseSettings

https://gerrit.wikimedia.org/r/444574

Change 452863 had a related patch set uploaded (by Jdlrobson; owner: Jforrester):
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part II: InitialiseSettings-labs

https://gerrit.wikimedia.org/r/452863

Jdlrobson updated the task description. (Show Details)Sep 5 2018, 5:47 PM
Jdlrobson added a project: Technical-Debt.
Framawiki added a subscriber: Framawiki.
Jdlrobson triaged this task as High priority.Sep 11 2018, 4:44 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSep 11 2018, 4:44 PM
Jdlrobson set the point value for this task to 2.Sep 11 2018, 4:50 PM

@Dereckson expressed an interest in deploying this. If you plan to, I'd advise doing it early next week. Let me know if I can help!

Change 450906 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part I: CommonSettings

https://gerrit.wikimedia.org/r/450906

Change 452863 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part II: InitialiseSettings-labs

https://gerrit.wikimedia.org/r/452863

Change 444574 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove obsolete $wgPopupsBetaFeature, Part III: InitialiseSettings

https://gerrit.wikimedia.org/r/444574

Mentioned in SAL (#wikimedia-operations) [2018-09-19T23:21:00Z] <catrope@deploy1001> Synchronized wmf-config/CommonSettings.php: Remove obsolete $wgPopupsBetaFeature, part 1 (T203589) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-09-19T23:21:58Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Remove obsolete $wgPopupsBetaFeature, part 2 (T203589) (duration: 00m 56s)

Jdlrobson closed this task as Resolved.Sep 19 2018, 11:35 PM
Jdlrobson claimed this task.

This can skip QA and design review as it's removing dead code.

Jdlrobson updated the task description. (Show Details)Sep 19 2018, 11:36 PM